
Application: gvSIG desktop - gvSIG bugs #4077
Attribute editor tool doesn't work
02/01/2016 07:30 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Daniel Martinez
Category:
Target version: 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2417 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The "Attribute editor" tool doesn't work. If I activate such tool and click on a whatever feature, a warning message appears. Here's an
extract from the gvSIG.log:

WARN AWT-EventQueue-0 org.gvsig.fmap.mapcontrol.tools.Listeners.AttributeEditorPointListener - Can't show attribute
information from point on the layer regioni
org.gvsig.featureform.swing.CreateJFeatureFormException: Exception creating JFeatureForm.
    at org.gvsig.fmap.dal.swing.impl.DefaultDataSwingManager.createJFeatureForm(DefaultDataSwingManager.java:61)
    at org.gvsig.fmap.mapcontrol.tools.Listeners.AttributeEditorPointListener.getForm(AttributeEditorPointListener.java:180)
    [...]
Caused by: java.lang.NullPointerException
    at org.gvsig.fmap.dal.swing.impl.DefaultDataSwingManager.createJFeatureForm(DefaultDataSwingManager.java:55)
    ... 37 more

Associated revisions
Revision 165 - 02/11/2016 11:59 AM - Daniel Martinez

refs #4077 Corrected some errors obtaining editable feature and in translation strings.

Revision 42714 - 02/11/2016 11:59 AM - Daniel Martinez

refs #4077 Corrected some errors obtaining editable feature and in translation strings.

History
#1 - 02/07/2016 02:23 AM - Joaquín  del Cerro Murciano

Con el build 2420 no puedo reproducirlo, por lo menos con las capas que uso habitualmente.

¿ Puedes ver de darme alguna pista mas ?
#2 - 02/07/2016 11:06 AM - Antonio Falciano

I've tried with several layers (for instance, Reg2011_ED50), but it continues to do not work at least on win x64 with Java 8.

#3 - 02/10/2016 11:38 AM - Daniel Martinez
- Assignee set to Daniel Martinez

#4 - 02/10/2016 12:00 PM - Álvaro Anguix
- Severity changed from Minor to Major
- Priority changed from Normal to High

#5 - 02/11/2016 12:09 PM - Daniel Martinez
- Status changed from New to Fixed

#6 - 02/12/2016 03:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)

#7 - 02/15/2016 01:31 PM - Álvaro Anguix
- Status changed from Fixed to Closed
http://www.istat.it/storage/basi_territoriali_2013/LimitiAmministrativi/Limiti2011/Reg2011_ED50.zip

